Hooks
Update Hook
Update an existing hook
PUT
Partially updates a hook. Only provided fields are changed.
Path Parameters
string
required
Market ID.
string
required
Hook ID.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update an existing hook
curl -X PUT "https://api.trusset.org/lending-stocks/api/hooks/{marketId}/{hookId}" \
-H "X-API-Key: trusset_your_key_here" \
-H "Content-Type: application/json" \
-d '{"checkFrequency": "15m"}'
{
"success": true,
"data": {
"id": "hook_002",
"hookType": "monitorRisk",
"checkFrequency": "15m",
"active": true
}
}
curl -X PUT "https://api.trusset.org/lending-stocks/api/hooks/{marketId}/{hookId}" \
-H "X-API-Key: trusset_your_key_here" \
-H "Content-Type: application/json" \
-d '{"checkFrequency": "15m"}'
{
"success": true,
"data": {
"id": "hook_002",
"hookType": "monitorRisk",
"checkFrequency": "15m",
"active": true
}
}
curl -X PUT "https://api.trusset.org/lending-stocks/api/hooks/{marketId}/{hookId}" \
-H "X-API-Key: trusset_your_key_here" \
-H "Content-Type: application/json" \
-d '{"checkFrequency": "15m"}'
{
"success": true,
"data": {
"id": "hook_002",
"hookType": "monitorRisk",
"checkFrequency": "15m",
"active": true
}
}
